unit MoleculeRendererConsts;

{$ifdef FPC}
  {$mode DELPHI}
{$endif}

// Delphi Pascal unit with tag constants for molecule rendering info generated by biochemfusion.com software.
// Auto-generated from the corresponding C++ header file.

interface

const MOL_RNDR_DELIM = ',';			// Value delimiter.
const MOL_RNDR_TAG_START = ':';	// Tag start.
const MOL_RNDR_TAG_BOUNDBOX = MOL_RNDR_TAG_START + 'BB';  // Bounding box.
const MOL_RNDR_TAG_BOND = MOL_RNDR_TAG_START + 'BD';		  // Bond (incl. APO bond).
const MOL_RNDR_TAG_ATOM = MOL_RNDR_TAG_START + 'AT';	    // Atom.
const MOL_RNDR_TAG_LABEL = MOL_RNDR_TAG_START + 'LB';	    // Label.

const MOL_RNDR_BOND_CARDINALITY_APO = 'a';

const MOL_RNDR_STEREO_NONE = '.';
const MOL_RNDR_STEREO_UP   = 'u';
const MOL_RNDR_STEREO_DOWN = 'd';

const MOL_RNDR_DBLBOND_SYMMETRICAL = 's';
const MOL_RNDR_DBLBOND_LEFT        = 'l';
const MOL_RNDR_DBLBOND_RIGHT       = 'r';

const MOL_RNDR_LABEL_ALIGN_CENTER	= 'c';
const MOL_RNDR_LABEL_ALIGN_LEFT	= 'l';
const MOL_RNDR_LABEL_ALIGN_RIGHT	= 'r';

const MOL_RNDR_TAG_INFO_BEGIN = MOL_RNDR_TAG_START + 'BCF_MOL_RNDR_INFO_V2';
const MOL_RNDR_TAG_INFO_END = MOL_RNDR_TAG_START + 'ED';		// End of Data.

implementation

end.
