unit ProteinRendererConsts;

// Delphi Pascal unit with tag constants for protein rendering info generated by biochemfusion.com software.
// Auto-generated from the corresponding C++ header file.

interface

const SEQ_RNDR_BITFLAG_MODRES = 1; // Bit 0 = modified residue.
const SEQ_RNDR_BITFLAG_DFORM  = 2; // Bit 1 = residue is d-form.
const SEQ_RNDR_DELIM = ',';			// Value delimiter.
const SEQ_RNDR_TAG_START = ':';	// Tag start.
const SEQ_RNDR_TAG_BOUNDBOX = SEQ_RNDR_TAG_START + 'BB';		// Bounding box.
const SEQ_RNDR_TAG_CHAIN = SEQ_RNDR_TAG_START + 'CH';		// Chain start.
const SEQ_RNDR_TAG_DISULFIDE = SEQ_RNDR_TAG_START + 'SS';	// Disulfide bridge.
const SEQ_RNDR_TAG_CROSSLINK = SEQ_RNDR_TAG_START + 'XL';	// Lactam cycles and other crosslinks.
const SEQ_RNDR_TAG_DIFF_INSERT = SEQ_RNDR_TAG_START + 'DI';	// Difference marker - insert.
const SEQ_RNDR_TAG_DIFF_DELETE = SEQ_RNDR_TAG_START + 'DD';	// Difference marker - delete.
const SEQ_RNDR_TAG_DIFF_SUBST = SEQ_RNDR_TAG_START + 'DS';	// Difference marker - substitution.
const SEQ_RNDR_TAG_INFO_BEGIN = SEQ_RNDR_TAG_START + 'BCF_SEQ_RNDR_INFO_V1';
const SEQ_RNDR_TAG_INFO_END = SEQ_RNDR_TAG_START + 'ED';		// End of Data.

implementation

end.
