program RenderPascalMolGraphics;

{$APPTYPE CONSOLE}

uses
{$ifndef FPC}
  Windows,
{$endif}
{$ifdef FPC}
  {$H+}
  interfaces,
{$endif}
  SysUtils,
  Classes,
  Graphics,
  MoleculeRendererConsts in 'MoleculeRendererConsts.pas',
  MoleculeRenderer in 'MoleculeRenderer.pas';

const
  ZOOM_FACTOR = 1.5;
var
  SL: TStringList;
  RenderInfo: String;
  OutputFileName: String;

  MolRenderer: TMoleculeRenderer;
  BM: TBitmap;
  BoundingBox: TRect;
begin
  try

  SL := TStringList.Create;
  try
    SL.LoadFromFile(ParamStr(1));
    RenderInfo := SL[0];
  finally
    SL.Free;
  end;

  OutputFileName := ParamStr(2);

  MolRenderer := TMoleculeRenderer.Create;
  try

    BM := TBitmap.Create;
    try
      BoundingBox := MolRenderer.BoundingBox(RenderInfo, ZOOM_FACTOR, BM.Canvas);
      BM.Width    := BoundingBox.Right;
      BM.Height   := BoundingBox.Bottom;

      BM.Canvas.Brush.Color := clWhite;
      BM.Canvas.FillRect(BoundingBox);

      BM.Canvas.Font.Name := 'Arial';
      BM.Canvas.Font.Size := Round(6 * ZOOM_FACTOR);
      MolRenderer.Render(RenderInfo, BoundingBox, ZOOM_FACTOR, BM.Canvas);

      BM.SaveToFile(OutputFileName);
    finally
      BM.Free;
    end;

  finally
    MolRenderer.Free;
  end;

  except
    on E:Exception do
      Writeln(E.Classname, ': ', E.Message);
  end;
end.
