program RenderPascalSeqGraphics;

{$APPTYPE CONSOLE}

uses
{$ifndef FPC}
  Windows,
{$endif}
{$ifdef FPC}
  {$H+}
  interfaces,
{$endif}
  SysUtils,
  Classes,
  Graphics,
  ProteinRendererConsts in 'ProteinRendererConsts.pas',
  ProteinRenderer in 'ProteinRenderer.pas';

var
  SL: TStringList;
  RenderInfo: String;
  OutputFileName: String;

  SeqRenderer: TProteinRenderer;
  BM: TBitmap;
  BoundingBox: TRect;
begin
  try

  SL := TStringList.Create;
  try
    SL.LoadFromFile(ParamStr(1));
    RenderInfo := SL[0];
  finally
    SL.Free;
  end;

  OutputFileName := ParamStr(2);

  SeqRenderer := TProteinRenderer.Create;
  try

    BM := TBitmap.Create;
    try
      BM.Canvas.Font.Name := 'Courier New';
      BM.Canvas.Font.Size := 10;

      BoundingBox := SeqRenderer.BoundingBox(RenderInfo, BM.Canvas);
      BM.Width    := BoundingBox.Right;
      BM.Height   := BoundingBox.Bottom;

      BM.Canvas.Brush.Color := clWhite;
      BM.Canvas.FillRect(BoundingBox);

      SeqRenderer.Render(RenderInfo, BoundingBox, BM.Canvas);

      BM.SaveToFile(OutputFileName);
    finally
      BM.Free;
    end;

  finally
    SeqRenderer.Free;
  end;

  except
    on E:Exception do
      Writeln(E.Classname, ': ', E.Message);
  end;
end.
