using System;
using System.Collections.Generic;
using System.Text;

using Biochemfusion;
using System.IO;
using System.Drawing;

namespace RenderDotNetSeqGraphics
{
	class Program
	{
		static void Main(string[] args)
		{
			ProteinRenderer renderer = new ProteinRenderer();
			String renderInfo = "";
			using (StreamReader fileReader = new StreamReader(args[0]))
			{
				renderInfo = fileReader.ReadLine();
			}

			String outputFilename = args[1];

			Bitmap BM = new Bitmap(100, 100);
			Graphics canvas = Graphics.FromImage(BM);

			Font residueFont = new Font("Courier New", 10);
			Rectangle boundingBox = renderer.boundingBox(renderInfo, canvas, residueFont);

			BM = new Bitmap(boundingBox.Width + 1, boundingBox.Height + 1);
			canvas = Graphics.FromImage(BM);

			renderer.render(
				renderInfo, boundingBox, canvas, residueFont
			);

			BM.Save(outputFilename);
		}
	}
}
